processing.app.contrib

## Class ModeContribution

- Object
- - Contribution
  - - LocalContribution
    - - ModeContribution

-     public class ModeContribution
      extends LocalContribution

- - ### Field Summary

    - ### Fields inherited from class LocalContribution

      `DELETION_FLAG, RESTART_FLAG, UPDATE_FLAGGED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearClassLoader(Base base)` Method to close the ClassLoader so that the archives are no longer "locked" and a mode can be removed without restart.
    `boolean` | `equals(Object o)`
    `Mode` | `getMode()`
    `ContributionType` | `getType()`
    `static ModeContribution` | `load(Base base, File folder)`
    `static ModeContribution` | `load(Base base, File folder, String searchName)`
    `static void` | `loadMissing(Base base)`

    - ### Methods inherited from class LocalContribution

      `getFolder, getId, getLatestVersion, getSpecifiedImports, initLoader, isInstalled`

    - ### Methods inherited from class Contribution

      `getAuthorList, getLastUpdated, getMaxRevision, getMinRevision, getName, getParagraph, getPrettyVersion, getSentence, getTypeName, getUrl, getVersion, isCompatible`

    - ### Methods inherited from class Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### load

          public static ModeContribution load(Base base,
                                              File folder)

    - #### load

          public static ModeContribution load(Base base,
                                              File folder,
                                              String searchName)

    - #### clearClassLoader

          public void clearClassLoader(Base base)

      Method to close the ClassLoader so that the archives are no longer "locked" and a mode can be removed without restart.

    - #### loadMissing

          public static void loadMissing(Base base)

    - #### getMode

          public Mode getMode()

    - #### getType

          public ContributionType getType()

      Specified by:
        `getType` in class `Contribution`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`